# for_each.h File Reference

## Detailed Description

Main interface for embarrassingly parallel functions.

The explicit implementation are in other header files, like workstealing.h, par_loop.h, omp_loop.h, and omp_loop_static.h. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file for_each.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_FOR_EACH_H

## Functions

- template<typename InputIterator, typename UserOp, typename Functionality, typename Red, typename Result> UserOp __gnu_parallel::for_each_template_random_access (InputIterator begin, InputIterator end, UserOp user_op, Functionality &functionality, Red reduction, Result reduction_start, Result &output, typename std::iterator_traits< InputIterator >::difference_type bound, _Parallelism parallelism_tag)